curl --request GET \
--url https://api.eda.prisme.ai/v2/me \
--header 'Authorization: Bearer <token>'{
"firstName": "<string>",
"sessionId": "<string>",
"email": "foo@prisme.ai",
"status": "pending",
"language": "<string>",
"authData": {
"anonymous": {},
"prismeai": {},
"azure": {
"id": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"language": "<unknown>"
}
},
"mfa": "totp",
"meta": {},
"orgSlugs": [
"<string>"
],
"platformRole": "<string>",
"groupAcls": {},
"createdAt": "<string>",
"updatedAt": "<string>",
"updatedBy": "<string>",
"lastName": "<string>",
"photo": "<string>",
"groups": [
"<string>"
],
"membership": {
"roleSlug": "<string>",
"status": "active",
"joinedAt": "<string>",
"joinedVia": "direct",
"invitedAt": "<string>",
"invitedBy": "<string>"
},
"id": "<string>",
"expires": "<string>",
"org": {
"slug": "<string>",
"name": "<string>",
"status": "<string>",
"branding": {},
"navigation": {
"version": 123,
"homePage": "<string>",
"menu": [
{
"id": "<string>",
"type": "category",
"label": "<string>",
"icon": "<string>",
"color": "<string>",
"href": "<string>",
"target": "_self",
"expanded": true,
"badge": "<string>",
"permissions": [
"<string>"
],
"features": [
{
"type": "agent",
"slug": "<string>",
"label": "<string>",
"agentId": "<string>",
"templateId": "<string>",
"permissions": [
"<string>"
]
}
],
"visibility": {
"tiers": [
"<string>"
],
"features": [
"<string>"
]
},
"items": "<array>"
}
],
"footer": [
{
"id": "<string>",
"type": "category",
"label": "<string>",
"icon": "<string>",
"color": "<string>",
"href": "<string>",
"target": "_self",
"expanded": true,
"badge": "<string>",
"permissions": [
"<string>"
],
"features": [
{
"type": "agent",
"slug": "<string>",
"label": "<string>",
"agentId": "<string>",
"templateId": "<string>",
"permissions": [
"<string>"
]
}
],
"visibility": {
"tiers": [
"<string>"
],
"features": [
"<string>"
]
},
"items": "<array>"
}
],
"quickActions": [
{
"id": "<string>",
"type": "category",
"label": "<string>",
"icon": "<string>",
"color": "<string>",
"href": "<string>",
"target": "_self",
"expanded": true,
"badge": "<string>",
"permissions": [
"<string>"
],
"features": [
{
"type": "agent",
"slug": "<string>",
"label": "<string>",
"agentId": "<string>",
"templateId": "<string>",
"permissions": [
"<string>"
]
}
],
"visibility": {
"tiers": [
"<string>"
],
"features": [
"<string>"
]
},
"items": "<array>"
}
]
},
"role": {
"slug": "<string>",
"name": "<string>",
"permissions": [
"<string>"
],
"scopes": [
"<string>"
]
},
"groups": [
"<string>"
],
"settings": {},
"subscription": {
"slug": "<string>",
"name": "<string>",
"tier": "<string>",
"status": "active",
"id": "<string>",
"plan": "<string>",
"isDefault": true,
"limits": {},
"features": {},
"billing": {},
"startedAt": "<string>",
"expiresAt": "<string>",
"createdBy": "<string>",
"updatedBy": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}
},
"permissions": [
"<string>"
],
"organizations": [
{
"slug": "<string>",
"name": "<string>",
"roleSlug": "<string>",
"groups": [
"<string>"
]
}
]
}Retrieve current authenticated user
curl --request GET \
--url https://api.eda.prisme.ai/v2/me \
--header 'Authorization: Bearer <token>'{
"firstName": "<string>",
"sessionId": "<string>",
"email": "foo@prisme.ai",
"status": "pending",
"language": "<string>",
"authData": {
"anonymous": {},
"prismeai": {},
"azure": {
"id": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"language": "<unknown>"
}
},
"mfa": "totp",
"meta": {},
"orgSlugs": [
"<string>"
],
"platformRole": "<string>",
"groupAcls": {},
"createdAt": "<string>",
"updatedAt": "<string>",
"updatedBy": "<string>",
"lastName": "<string>",
"photo": "<string>",
"groups": [
"<string>"
],
"membership": {
"roleSlug": "<string>",
"status": "active",
"joinedAt": "<string>",
"joinedVia": "direct",
"invitedAt": "<string>",
"invitedBy": "<string>"
},
"id": "<string>",
"expires": "<string>",
"org": {
"slug": "<string>",
"name": "<string>",
"status": "<string>",
"branding": {},
"navigation": {
"version": 123,
"homePage": "<string>",
"menu": [
{
"id": "<string>",
"type": "category",
"label": "<string>",
"icon": "<string>",
"color": "<string>",
"href": "<string>",
"target": "_self",
"expanded": true,
"badge": "<string>",
"permissions": [
"<string>"
],
"features": [
{
"type": "agent",
"slug": "<string>",
"label": "<string>",
"agentId": "<string>",
"templateId": "<string>",
"permissions": [
"<string>"
]
}
],
"visibility": {
"tiers": [
"<string>"
],
"features": [
"<string>"
]
},
"items": "<array>"
}
],
"footer": [
{
"id": "<string>",
"type": "category",
"label": "<string>",
"icon": "<string>",
"color": "<string>",
"href": "<string>",
"target": "_self",
"expanded": true,
"badge": "<string>",
"permissions": [
"<string>"
],
"features": [
{
"type": "agent",
"slug": "<string>",
"label": "<string>",
"agentId": "<string>",
"templateId": "<string>",
"permissions": [
"<string>"
]
}
],
"visibility": {
"tiers": [
"<string>"
],
"features": [
"<string>"
]
},
"items": "<array>"
}
],
"quickActions": [
{
"id": "<string>",
"type": "category",
"label": "<string>",
"icon": "<string>",
"color": "<string>",
"href": "<string>",
"target": "_self",
"expanded": true,
"badge": "<string>",
"permissions": [
"<string>"
],
"features": [
{
"type": "agent",
"slug": "<string>",
"label": "<string>",
"agentId": "<string>",
"templateId": "<string>",
"permissions": [
"<string>"
]
}
],
"visibility": {
"tiers": [
"<string>"
],
"features": [
"<string>"
]
},
"items": "<array>"
}
]
},
"role": {
"slug": "<string>",
"name": "<string>",
"permissions": [
"<string>"
],
"scopes": [
"<string>"
]
},
"groups": [
"<string>"
],
"settings": {},
"subscription": {
"slug": "<string>",
"name": "<string>",
"tier": "<string>",
"status": "active",
"id": "<string>",
"plan": "<string>",
"isDefault": true,
"limits": {},
"features": {},
"billing": {},
"startedAt": "<string>",
"expiresAt": "<string>",
"createdBy": "<string>",
"updatedBy": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}
},
"permissions": [
"<string>"
],
"organizations": [
{
"slug": "<string>",
"name": "<string>",
"roleSlug": "<string>",
"groups": [
"<string>"
]
}
]
}Documentation Index
Fetch the complete documentation index at: https://prismeai-docs-next.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Success Response
Name
"foo@prisme.ai"
pending, validated, deactivated Show child attributes
totp, none, * Show child attributes
Name
Profile picture URL
Organization membership info (only returned when includeOrgMembership is set)
Show child attributes
Unique id
Show child attributes
Show child attributes
Was this page helpful?